> ## Documentation Index
> Fetch the complete documentation index at: https://pwapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取KYC Token

## 接口描述

PowerCard集成了 Sumsub KYC，前端拉起 KYC WebSDK 时，需要获取对应的 token，该接口用于获取 token，详细文档见 [Sumsub WebSDK](https://docs.sumsub.com/docs/get-started-with-web-sdk) 集成文档
<Note>对于需要KYC校验的卡产品，KYC校验成功后，可直接创建卡\
不需要KYC校验的卡产品，可跳过该步骤，但需创建用户</Note>


## OpenAPI

````yaml cn POST /kyc/getKYCToken
openapi: 3.1.0
info:
  title: powercard-api
  description: ''
  version: 1.0.0
servers:
  - url: http://dev-cn.your-api-server.com
    description: 开发环境
security: []
tags: []
paths:
  /kyc/getKYCToken:
    post:
      tags: []
      summary: kyc获取token
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/KYCTokenRequest'
              description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonResultKYCTokenResponse'
              example:
                success: false
                errorCode: ''
                errorMessage: ''
                errorMessageEn: ''
                detailMessage: ''
                requestId: ''
                data:
                  token: ''
                  powerCardUserId: ''
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    KYCTokenRequest:
      type: object
      properties:
        merchantId:
          type: string
          description: 商户id
        merchantUserId:
          type: string
          description: 商户对应用户id
        channel:
          type: string
          description: 渠道
      required:
        - merchantId
        - merchantUserId
        - channel
    CommonResultKYCTokenResponse:
      type: object
      properties:
        success:
          type: boolean
          description: 是否业务处理成功
          default: false
        errorCode:
          type: string
          description: 错误码
        errorMessage:
          type: string
          description: 错误信息
        errorMessageEn:
          type: string
          description: 英文错误信息
        detailMessage:
          type: string
          description: 详细信息
        requestId:
          type: string
          description: 請求uuid
        data:
          $ref: '#/components/schemas/KYCTokenResponse'
          description: 结果数据
    KYCTokenResponse:
      type: object
      properties:
        token:
          type: string
          description: token
        powerCardUserId:
          type: string
          description: powerCard用户id
      required:
        - token
        - powerCardUserId

````